<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="fisiometria1">
        <h2 class="jh-entity-heading" data-cy="fisiometria1DetailsHeading">
          <span v-text="$t('gatewayApp.manillaFisiometria1.detail.title')">Fisiometria1</span> {{ fisiometria1.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.ritmoCardiaco')">Ritmo Cardiaco</span>
          </dt>
          <dd>
            <span>{{ fisiometria1.ritmoCardiaco }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.ritmoRespiratorio')">Ritmo Respiratorio</span>
          </dt>
          <dd>
            <span>{{ fisiometria1.ritmoRespiratorio }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.oximetria')">Oximetria</span>
          </dt>
          <dd>
            <span>{{ fisiometria1.oximetria }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.presionArterialSistolica')">Presion Arterial Sistolica</span>
          </dt>
          <dd>
            <span>{{ fisiometria1.presionArterialSistolica }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.presionArterialDiastolica')">Presion Arterial Diastolica</span>
          </dt>
          <dd>
            <span>{{ fisiometria1.presionArterialDiastolica }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.temperatura')">Temperatura</span>
          </dt>
          <dd>
            <span>{{ fisiometria1.temperatura }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="fisiometria1.fechaRegistro">{{ $d(Date.parse(fisiometria1.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.fechaToma')">Fecha Toma</span>
          </dt>
          <dd>
            <span v-if="fisiometria1.fechaToma">{{ $d(Date.parse(fisiometria1.fechaToma), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaFisiometria1.user')">User</span>
          </dt>
          <dd>
            {{ fisiometria1.user ? fisiometria1.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="fisiometria1.id"
          :to="{ name: 'Fisiometria1Edit', params: { fisiometria1Id: fisiometria1.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./fisiometria-1-details.component.ts"></script>
